summaryrefslogtreecommitdiffstats
path: root/games/robotfindskitten/robotfindskitten.SlackBuild
diff options
context:
space:
mode:
author Josiah Boothby2013-04-24 02:47:17 +0200
committer Niels Horn2013-04-28 17:28:13 +0200
commitb4271e83336dd9af74c9c2500275b750a2697c7e (patch)
treef88a6ff4a7791f4dc63f486f174b122c69126a32 /games/robotfindskitten/robotfindskitten.SlackBuild
parenta7123908de9c3623c13a9c5b6a975e32f63b3328 (diff)
downloadslackbuilds-b4271e83336dd9af74c9c2500275b750a2697c7e.tar.gz
games/robotfindskitten: Manually install necessary .nki file.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'games/robotfindskitten/robotfindskitten.SlackBuild')
-rw-r--r--games/robotfindskitten/robotfindskitten.SlackBuild12
1 files changed, 7 insertions, 5 deletions
diff --git a/games/robotfindskitten/robotfindskitten.SlackBuild b/games/robotfindskitten/robotfindskitten.SlackBuild
index 0216e204db..296e79939e 100644
--- a/games/robotfindskitten/robotfindskitten.SlackBuild
+++ b/games/robotfindskitten/robotfindskitten.SlackBuild
@@ -24,15 +24,13 @@
PRGNAM=robotfindskitten
VERSION=${VERSION:-2.7182818.701}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -56,7 +54,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -81,11 +79,15 @@ CXXFLAGS="$SLKCFLAGS" \
--localstatedir=/var \
--mandir=/usr/man \
--infodir=/usr/info \
- --build=$ARCH-slackware-linux
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
+# make install seems to fail to install the vanilla.nki file to an expected place, so:
+mkdir -p $PKG/usr/share/games/$PRGNAM
+cat ./nki/vanilla.nki > $PKG/usr/share/games/$PRGNAM/vanilla.nki
+
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true